Bug 845943 - Please rebuild mod_python against python 2.7.3 -- python_init error during Apache startup
Please rebuild mod_python against python 2.7.3 -- python_init error during Ap...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mod_python (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On: 844676
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 04:08 EDT by Jan Hutař
Modified: 2012-12-20 10:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 844676
Environment:
Last Closed: 2012-12-20 10:05:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-08-06 04:08:19 EDT
Looks like there is same problem in F17:

fedora-release-17-1.noarch
python-2.7.3-7.2.fc17.x86_64
mod_python-3.3.1-17.fc17.x86_64

# service httpd restart
# tail /var/log/httpd/error_log | grep error
[Tue Aug 07 18:37:40 2012] [error] python_init: Python version mismatch, expected '2.7.2', found '2.7.3'.
[Tue Aug 07 18:37:40 2012] [error] python_init: Python executable found '/usr/bin/python'.
[Tue Aug 07 18:37:40 2012] [error] python_init: Python path being used '/usr/lib64/python27.zip:/usr/lib64/python2.7/:/usr/lib64/python2.7/plat-linux2:/usr/lib64/python2.7/lib-tk:/usr/lib64/python2.7/lib-old:/usr/lib64/python2.7/lib-dynload'.



+++ This bug was initially created as a clone of Bug #844676 +++

Description of problem:

It looks like python 2.7.3 landed in Fedora 16 updates. This leads to error in Apache's error_log upon startup.

Version-Release number of selected component (if applicable):

# rpm -q python mod_python
python-2.7.3-3.fc16.x86_64
mod_python-3.3.1-16.fc16.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have Fedora 16 with httpd, python-2.7.2, and mod_python. Observe that there are no errors upon Apache start and the notice line says

[Tue Jul 31 10:17:08 2012] [notice] Apache/2.2.22 (Unix) DAV/2 mod_python/3.3.1 Python/2.7.2 configured -- resuming normal operations

2. Run yum upgrade python, note that version 2.7.3 gets installed.
3. Run service httpd restart, look into /var/log/httpd/error_log.
  
Actual results:

[Tue Jul 31 10:17:49 2012] [error] python_init: Python version mismatch, expected '2.7.2', found '2.7.3'.
[Tue Jul 31 10:17:49 2012] [error] python_init: Python executable found '/usr/bin/python'.
[Tue Jul 31 10:17:49 2012] [error] python_init: Python path being used '/usr/lib64/python27.zip:/usr/lib64/python2.7/:/usr/lib64/python2.7/plat-linux2:/usr/lib64/python2.7/lib-tk:/usr/lib64/python2.7/lib-old:/usr/lib64/python2.7/lib-dynload'.
[Tue Jul 31 10:17:49 2012] [notice] mod_python: Creating 4 session mutexes based on 256 max processes and 0 max threads.
[Tue Jul 31 10:17:49 2012] [notice] mod_python: using mutex_directory /tmp 
[Tue Jul 31 10:17:49 2012] [notice] Apache/2.2.22 (Unix) DAV/2 mod_python/3.3.1 Python/2.7.3 configured -- resuming normal operations

Expected results:

[Tue Jul 31 10:17:49 2012] [notice] Apache/2.2.22 (Unix) DAV/2 mod_python/3.3.1 Python/2.7.3 configured -- resuming normal operations

and no error lines.

Additional info:

This might or might not be a blocker for bug 833139.

--- Additional comment from jkaluza@redhat.com on 2012-07-31 07:56:48 EDT ---

This is printed by mod_python, it uses strcmp to compare runtime version and built version. I'm rebuilding mod_python now, it should help I think.

--- Additional comment from updates@fedoraproject.org on 2012-07-31 08:04:06 EDT ---

mod_python-3.3.1-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mod_python-3.3.1-17.fc16

--- Additional comment from jpazdziora@redhat.com on 2012-07-31 08:11:29 EDT ---

I confirm that the python_init error is gone. Thank you!

--- Additional comment from updates@fedoraproject.org on 2012-08-03 07:26:24 EDT ---

Package mod_python-3.3.1-17.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_python-3.3.1-17.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11443/mod_python-3.3.1-17.fc16
then log in and leave karma (feedback).
Comment 1 Fedora Update System 2012-09-03 08:45:36 EDT
mod_python-3.3.1-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mod_python-3.3.1-18.fc17
Comment 2 Fedora Update System 2012-09-03 18:56:04 EDT
Package mod_python-3.3.1-18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_python-3.3.1-18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13255/mod_python-3.3.1-18.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 10:05:49 EST
mod_python-3.3.1-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.